# Test app for OIDC, OAuth2 - web app version written with Vue3

Small web app for experimenting a web app with a Keycloak auth server.

It is a sibbling of the server version (oidc-test)[philorg/oidc-fastapi-test],
which acts also as a resource server.

Live demo: https://philo.ydns.eu/oidc-test-web:
- configured with a test realm on a private Keycloak instance
- 2 users are defined: foo (foofoo) and bar (barbar).

## Deployment

In a container:

```sh
pnpm run build --base oidc-test-web
podman run -it --rm -p 8874:80 -v ./dist:/usr/share/nginx/html/oidc-test-web docker.io/nginx:alpine
```

## Frontend

```Caddyfile
handle /oidc-test-web {
  reverse-proxy hostname.domainame:8874
}
redir /oidc-test-web /oidc-test-web/
```
